
Redmine - Defect #21433

"version-completed" class is never set when version has no due date

2015-12-06 13:10 - Tobias Fischer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed Affected version: 3.1.3

Description

Test case:

1. Create a new version with no due date

2. Add a new issue to this version

3. Close the issue

4. Close the version

The HTML code in Roadmap view will still look like this:

<article class="version-article version-incompleted">

 However, all tickets in the version are closed and the version itself is closed. I'd call the version "completed" in this case, wouldn't

you?

The patch from #19341 doesn't seem to work when no due date is set.

Related issues:

Related to Redmine - Patch #21434: Additional CSS class for version status Closed

Associated revisions

Revision 15019 - 2016-01-09 10:10 - Jean-Philippe Lang

Closed versions should be marked as completed (#21433).

History

#1 - 2016-01-04 06:08 - Toshi MARUYAMA

- Target version set to 3.1.4

#2 - 2016-01-04 12:31 - Toshi MARUYAMA

- Related to Patch #21434: Additional CSS class for version status added

#3 - 2016-01-09 10:10 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#4 - 2016-01-21 05:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 3.1.4 to 3.3.0

r15019 slightly changes the behaviour of Version#completed? I prefer to not merge it in stable branches.

#5 - 2016-01-21 09:53 - Tobias Fischer

Sounds reasonable. Thanks, Jean-Philippe!
